Bug 1431727 - UI: Add new Subnet must be disabled when there is no cloud provider present.
Summary: UI: Add new Subnet must be disabled when there is no cloud provider present.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.7.2
Assignee: Tzu-Mainn Chen
QA Contact: Ola Pavlenko
URL:
Whiteboard: openstack
Depends On: 1383239
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-13 16:21 UTC by Satoe Imaishi
Modified: 2017-08-30 03:46 UTC (History)
6 users (show)

Fixed In Version: 5.7.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1383239
Environment:
Last Closed: 2017-04-12 14:34:21 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 2 CFME Bot 2017-03-13 16:36:17 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/2d5d939dd82f123dc197e25ff925c53cf4b78015

commit 2d5d939dd82f123dc197e25ff925c53cf4b78015
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Fri Dec 16 15:47:53 2016 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Mar 13 12:34:33 2017 -0400

    Merge pull request #12692 from mansam/disable-cloud-subnet-add-button-when-it-is-unsupported
    
    Disable Add Cloud Subnet button when no provider supports it.
    (cherry picked from commit 83aab34fbd23dd85f10971b21a23815b14c89a64)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1431727

 .../application_helper/button/cloud_subnet_new.rb  | 13 +++++++++
 .../toolbar/cloud_subnets_center.rb                |  1 +
 app/models/aliases/ems_network.rb                  |  1 +
 .../buttons/cloud_subnet_new_spec.rb               | 33 ++++++++++++++++++++++
 4 files changed, 48 insertions(+)
 create mode 100644 app/helpers/application_helper/button/cloud_subnet_new.rb
 create mode 100644 app/models/aliases/ems_network.rb
 create mode 100644 spec/helpers/application_helper/buttons/cloud_subnet_new_spec.rb

Comment 3 Ronnie Rasouli 2017-03-23 07:21:06 UTC
verified on 5.7.2.0

Comment 4 errata-xmlrpc 2017-04-12 14:34:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.